Page MenuHomePhabricator

FlaggedRevs multiple levels of review status since 1.34.0-wmf.8 (81a18d9)
Closed, ResolvedPublic

Description

Prior to 1.34.0-wmf.8 we had only one review level in https://de.wiktionary.org. Now we have many. What do they mean? Where do they come from? Was this change intended?


MW 1.34.0-wmf.8 introduced a substantial change to FlaggedRevs on plwiktionary: reviewers can now set Accuracy, Depth and Readability levels via (new) drop-down menus.

Previously, none of those menus was shown. This change is probably unintended (changelog) and seems to override FR's configuration for this wiki. We don't teach our editors how to use these levels either.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2019, 7:04 PM
Udo_T added a subscriber: Udo_T.Jun 5 2019, 7:06 PM
Udo_T added a comment.Jun 5 2019, 7:09 PM

It's quite possible that this will be in de.wikipedia (and other wikis?) tomorrow as well.

Best regards

Udo_T triaged this task as High priority.Jun 5 2019, 7:19 PM

seems also like a deployment blocker, therefore I rise the priority to "High". Please adjust if I'm wrong.

Udo T.

Cirdan added a subscriber: Cirdan.Jun 5 2019, 7:38 PM
Cirdan raised the priority of this task from High to Unbreak Now!.Jun 5 2019, 7:42 PM

This is very likely related to T225115, there is something wrong with the FlaggedRevs configuration.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 5 2019, 7:43 PM
Reedy added a subscriber: Reedy.Jun 5 2019, 7:53 PM

I'm sorry for the inconvenience, it's partly because the FR config is beyond a mess

@Udo_T Which one do you expect (preferably in English ;))?

dewiktionary has:

$wgFlaggedRevsTags['accuracy']['levels'] = 1;

But the default is

$wgFlaggedRevsTags = [
	'accuracy' => [ 'levels' => 2, 'quality' => 2, 'pristine' => 4 ],
];

Which is I think where the problem comes... You don't want "quality" or "pristine"?

Reedy updated the task description. (Show Details)Jun 5 2019, 7:58 PM
Udo_T added a comment.Jun 5 2019, 8:00 PM

Hi @Reedy, in the above picture we formerly didn't have the line with "Status gesichtet (patrouilliert) Tiefe: einfach Lesbarkeit: akzeptabel"

There was only the line with: "Kommentar: Sichten (as button) Änderung verwerfen (as button)"

Hope it helps
Udo T.

Udo_T added a comment.Jun 5 2019, 8:02 PM

I think $wgFlaggedRevsTags['accuracy']['levels'] = 1; is the correct config for us

Reedy added a comment.Jun 5 2019, 8:05 PM
reedy@deploy1001:/srv/mediawiki-staging$ mwscript eval.php dewiktionary
> var_dump( $wgFlaggedRevsTags );
array(3) {
  ["accuracy"]=>
  array(3) {
    ["levels"]=>
    int(1)
    ["quality"]=>
    int(2)
    ["pristine"]=>
    int(4)
  }
  ["depth"]=>
  array(3) {
    ["levels"]=>
    int(3)
    ["quality"]=>
    int(1)
    ["pristine"]=>
    int(4)
  }
  ["style"]=>
  array(3) {
    ["levels"]=>
    int(3)
    ["quality"]=>
    int(1)
    ["pristine"]=>
    int(4)
  }
}

Does the quality and pristine want to stay for accuracy?

Obviously depth and style want to go away...

Udo_T added a comment.Jun 5 2019, 8:08 PM

Ok, I take the picture in English from the other task: we formerliy didn't had the line with Accuracy, Depth and Readability.

Udo T.

Change 514601 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Turn off some unwanted FR config

https://gerrit.wikimedia.org/r/514601

Change 514601 merged by jenkins-bot:
[operations/mediawiki-config@master] Turn off some unwanted FR config

https://gerrit.wikimedia.org/r/514601

Mentioned in SAL (#wikimedia-operations) [2019-06-05T20:39:22Z] <reedy@deploy1001> Synchronized wmf-config/flaggedrevs.php: Turn off some FR config T225138 (duration: 00m 54s)

How does it look now?

reedy@deploy1001:/srv/mediawiki-staging$ mwscript eval.php dewiktionary
> var_dump( $wgFlaggedRevsTags );
array(1) {
  ["accuracy"]=>
  array(3) {
    ["levels"]=>
    int(1)
    ["quality"]=>
    int(2)
    ["pristine"]=>
    int(4)
  }
}
Udo_T added a comment.Jun 5 2019, 8:42 PM

Hi @Reedy, now it looks the same as before. That's what we wanted.

Udo T.

Reedy closed this task as Resolved.Jun 5 2019, 8:42 PM
Reedy claimed this task.
Cirdan awarded a token.Jun 6 2019, 3:51 AM
Udo_T removed a subscriber: Udo_T.Jun 6 2019, 11:13 AM